@mixin make-cursor($s) {
    #{$s}cursor- {
        &auto{
            cursor: auto;
        }
        &default {
            cursor: default;
        }
        &pointer {
            cursor: pointer;
        }
        &wait {
            cursor: wait;
        }
        &text {
            cursor: text;
        }
        &move {
            cursor: move;
        }
        &not-allowed{
            cursor: not-allowed;
        }
    }
}